package com.hfkj.service;

import com.hfkj.entity.BsTransferAccounts;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: BsTransferAccountsService
 * @author: HuRui
 * @date: 2023/10/23
 **/
public interface BsTransferAccountsService {

    /**
     * 编辑数据
     * @param transferAccounts
     */
    void editData(BsTransferAccounts transferAccounts);

    /**
     * 数据交易
     * @param transferAccounts
     * @return
     */
    BsTransferAccounts transfer(BsTransferAccounts transferAccounts);

    /**
     * 查询活动金交易
     * @param startTime
     * @param endTime
     * @return
     */
    List<Map<String,Object>> getTradeRebate(Date startTime, Date endTime);

    /**
     * 查询数据
     * @param orderNo 订单号
     * @return
     */
    BsTransferAccounts getDetailByOrderNo(String orderNo);

    /**
     * 查询数据列表
     * @param param
     * @return
     */
    List<BsTransferAccounts> getList(Map<String,Object> param);

}
